#!/bin/sh

if [ -f "./src/common/Common.java" ]; then
	echo "Common.java exists alreay."
else
	if [ -f "../common/Common.java" ]; then
		echo "copy Common.java"
		cp ../common/Common.java ./src/common
	else
		echo "Common.java is not exist."
		exit
	fi
fi

if [ -f "./lib/fsdk.jar" ]; then
	echo "fsdk.jar exists alreay."
else
	if [ -f "../../lib/fsdk.jar" ]; then
		echo "copy fsdk.jar"
		cp ../../lib/fsdk.jar ./lib
	else
		echo "fsdk.jar is not exist."
		exit
	fi
fi

if [ $(getconf WORD_BIT) = '32' ] && [ $(getconf LONG_BIT) = '64' ]; then
	if [ -f "./lib/libfsdk_java_linux64.so" ]; then
		echo "libfsdk_java_linux64.so exists already"
		echo "--------------mt_watermark------------------"
		javac -cp .:src/mt_watermark:lib/fsdk.jar src/mt_watermark/*.java src/common/*.java
		java -cp .:src/:lib/fsdk.jar mt_watermark.Main
	else
		if [ -f "../../lib/libfsdk_java_linux64.so" ]; then
			echo "copy libfsdk_java_linux64.so"
			cp ../../lib/libfsdk_java_linux64.so ./lib
			if [ -f "./lib/libfsdk_java_linux64.so" ]; then
				echo "libfsdk_java_linux64.so exists already"
				echo "--------------mt_watermark------------------"
				javac -cp .:src/mt_watermark:lib/fsdk.jar src/mt_watermark/*.java src/common/*.java
				java -cp .:src/:lib/fsdk.jar mt_watermark.Main
			else
				exit
			fi
		else
			echo "libfsdk_java_linux64.so is not exist."
			exit
		fi
	fi
else
		if [ -f "./lib/libfsdk_java_linux32.so" ]; then
		echo "libfsdk_java_linux32.so exists already"
		echo "--------------mt_watermark------------------"
		javac -cp .:src/mt_watermark:lib/fsdk.jar src/mt_watermark/*.java src/common/*.java
		java -cp .:src/:lib/fsdk.jar mt_watermark.Main
	else
		if [ -f "../../lib/libfsdk_java_linux32.so" ]; then
			echo "copy libfsdk_java_linux32.so"
			cp ../../lib/libfsdk_java_linux32.so ./lib
			if [ -f "./lib/libfsdk_java_linux32.so" ]; then
				echo "libfsdk_java_linux64.so exists already"
				echo "--------------mt_watermark------------------"
				javac -cp .:src/v:lib/fsdk.jar src/mt_watermark/*.java src/common/*.java
				java -cp .:src/:lib/fsdk.jar mt_watermark.Main
			else
				exit
			fi
		else
			echo "libfsdk_java_linux32.so is not exist."
			exit
		fi
	fi
fi

